commit:     c17f1c0fd5dbcb1916b648ace6a4e3c304005cc0
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Fri Dec 18 23:43:17 2015 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Fri Dec 18 23:43:51 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c17f1c0f

fix building with gcc5 (bug #568684); use deps for libsdl; add sound use flag

Package-Manager: portage-2.2.24

 games-puzzle/lpairs/lpairs-1.0.4.ebuild | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/games-puzzle/lpairs/lpairs-1.0.4.ebuild 
b/games-puzzle/lpairs/lpairs-1.0.4.ebuild
index 6d08273..9f3a038 100644
--- a/games-puzzle/lpairs/lpairs-1.0.4.ebuild
+++ b/games-puzzle/lpairs/lpairs-1.0.4.ebuild
@@ -9,12 +9,12 @@ DESCRIPTION="A classical memory game"
 HOMEPAGE="http://lgames.sourceforge.net/index.php?project=LPairs";
 SRC_URI="mirror://sourceforge/lgames/${P}.tar.gz"
 
-LICENSE="GPL-2"
+LICENSE="GPL-2+"
 SLOT="0"
 KEYWORDS="amd64 ppc x86"
-IUSE="nls"
+IUSE="nls sound"
 
-RDEPEND="media-libs/libsdl
+RDEPEND="media-libs/libsdl[sound?,video]
        nls? ( virtual/libintl )"
 DEPEND="${RDEPEND}
        nls? ( sys-devel/gettext )"
@@ -23,14 +23,16 @@ src_prepare() {
        sed -i \
                -e 's:$localedir:/usr/share/locale:' \
                -e 's:$(localedir):/usr/share/locale:' \
-               configure po/Makefile.in.in \
-               || die "sed failed"
+               configure po/Makefile.in.in || die
+       # gcc5 doesn't like the way inline is used.  just punt it. (bug #568684)
+       sed -i -e 's/^inline//g' lpairs/{sdl.[ch],pairs.[ch]} || die
 }
 
 src_configure() {
        egamesconf \
                --datadir="${GAMES_DATADIR_BASE}" \
-               $(use_enable nls)
+               $(use_enable nls) \
+               $(usex sound '' --disable-sound)
 }
 
 src_install() {

Reply via email to